org.apache.cassandra.cql3.statements

## Class SelectStatement.RawStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.SelectStatement.RawStatement

Enclosing class:
  SelectStatement

    public static class SelectStatement.RawStatement
    extends CFStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`SelectStatement.RawStatement(CFName cfName, SelectStatement.Parameters parameters, java.util.List<RawSelector> selectClause, java.util.List<Relation> whereClause, Term.Raw limit)`

### Method Summary

Methods
`ParsedStatement.Prepared` `prepare()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SelectStatement.RawStatement

    public SelectStatement.RawStatement(CFName cfName,
                                SelectStatement.Parameters parameters,
                                java.util.List<RawSelector> selectClause,
                                java.util.List<Relation> whereClause,
                                Term.Raw limit)

### Method Detail

#### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

Specified by:
  `prepare` in class `ParsedStatement`
Throws:
  `InvalidRequestException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`